import React from 'react';
import { ISearchPro } from './define';
import './style/index.scss';
interface ISearchState {
    searchVal: string;
    searchvisbile: boolean;
    renderIndex: number;
}
declare class Search extends React.Component<ISearchPro, ISearchState> {
    prevTime: any;
    inputTimeOut: number;
    searchFields: any[];
    columnFields: any[];
    constructor(props: ISearchPro);
    setNampMap(_fields: any): void;
    componentDidMount(): void;
    moreSearch(): React.JSX.Element | null;
    setting(): {} | null | undefined;
    handleInputChange: (val: any) => void;
    handleInputBtn: () => void;
    renderSingle(): ({} | null | undefined)[];
    render(): React.JSX.Element;
}
export default Search;
